### Function

# Gimp palette_set_columns

#### Declaration [src]

    gboolean
    gimp_palette_set_columns (
      const gchar* name,
      gint columns
    )

#### Description [src]

Sets the number of columns to use when displaying the palette

This procedures controls how many colors are shown per row when the palette is being displayed. This value can only be changed if the palette is writable. The maximum allowed value is 64.

Available since: | 2.4

#### Parameters

`name` | `const gchar*`
| The palette name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`columns` | `gint`
| The new number of columns.

#### Return value

Returns: | `gboolean`
| TRUE on success.